Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc.remote
Interface WrapperDataSourceServiceMBean

All Superinterfaces:
  ConnectionFactoryBindingServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  WrapperDataSourceService

public interface WrapperDataSourceServiceMBean
extends ConnectionFactoryBindingServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`javax.management.ObjectName` | `getJMXInvokerName()` Get the transport
`Object` | `invoke(org.jboss.invocation.Invocation invocation)` Expose the DataSource via JMX to invokers.
`void` | `setJMXInvokerName(javax.management.ObjectName jmxInvokerName)` Set the transport

Methods inherited from interface org.jboss.resource.connectionmanager.ConnectionFactoryBindingServiceMBean
`getBindName, getConnectionManager, getJndiName, isUseJavaContext, setConnectionManager, setJndiName, setUseJavaContext`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getJMXInvokerName

    public javax.management.ObjectName getJMXInvokerName()

  Get the transport

  Returns:
    the transport

### setJMXInvokerName

    public void setJMXInvokerName(javax.management.ObjectName jmxInvokerName)

  Set the transport

### invoke

    public Object invoke(org.jboss.invocation.Invocation invocation)
                  throws Exception

  Expose the DataSource via JMX to invokers.

  Parameters:
    `invocation` - A pointer to the invocation object
  Returns:
    Return value of method invocation.
  Throws:
    `Exception` - Failed to invoke method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.